#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: cprng-aes
version: 0.6.1
id: cprng-aes-0.6.1-084379bdb65bc91860d57be9dddc5607
key: cprng_LBCPM11dkqSCRdxKo2n2qB
license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
stability: experimental
homepage: http://github.com/vincenthz/hs-cprng-aes
synopsis: Crypto Pseudo Random Number Generator using AES in counter mode.
description:
    Simple crypto pseudo-random-number-generator with really good randomness property.
    .
    Using ent, a randomness property maker on one 1Mb sample:
    Entropy = 7.999837 bits per byte.
    Optimum compression would reduce the size of this 1048576 byte file by 0 percent.
    Chi square distribution for 1048576 samples is 237.02
    Arithmetic mean value of data bytes is 127.3422 (127.5 = random)
    Monte Carlo value for Pi is 3.143589568 (error 0.06 percent)
    .
    Compared to urandom with the same sampling:
    Entropy = 7.999831 bits per byte.
    Optimum compression would reduce the size of this 1048576 byte file by 0 percent.
    Chi square distribution for 1048576 samples is 246.63
    Arithmetic mean value of data bytes is 127.6347 (127.5 = random).
    Monte Carlo value for Pi is 3.132465868 (error 0.29 percent).
category: Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules:
    Crypto.Random.AESCtr
hidden-modules: Crypto.Random.AESCtr.Internal
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/cprng-aes-0.6.1
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/cprng-aes-0.6.1
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/cprng-aes-0.6.1
hs-libraries: HScprng-aes-0.6.1-LBCPM11dkqSCRdxKo2n2qB
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    byteable-0.1.1-bfa09dbd630209bae1d4ccf4d6372eb1
    bytestring-0.10.6.0-4bad3e0db8dcda038eec8bfd6aea32b3
    cipher-aes-0.2.11-9c565dabd00fcb2055522864a6339bed
    crypto-random-0.0.9-c8a74fb2140db57bf8f215bb0e8195f7
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/cprng-aes-0.6.1/html/cprng-aes.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/cprng-aes-0.6.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
